## gogglesmm 1.2.5

=== cfox/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.3.1)

set(CMAKE_VERBOSE_MAKEFILE TRUE)

project(cfox VERSION 1.7.83)

option(WITH_NATIVE "Compile for native architecture" OFF)

include(CheckCXXCompilerFlag)

check_cxx_compiler_flag(-Wall                HAS_CXX_WALL)
check_cxx_compiler_flag(-Wextra              HAS_CXX_WEXTRA)
check_cxx_compiler_flag(-Wno-format          HAS_CXX_WFORMAT)
check_cxx_compiler_flag(-Wno-format-security HAS_CXX_WFORMAT_SECURITY)
check_cxx_compiler_flag(-Woverloaded-virtual HAS_CXX_WOVERLOADED_VIRTUAL)
check_cxx_compiler_flag(-Wshadow             HAS_CXX_WSHADOW)
check_cxx_compiler_flag(-Wstrict-aliasing    HAS_CXX_WSTRICT_ALIASING)
check_cxx_compiler_flag(-Wstrict-overflow    HAS_CXX_WSTRICT_OVERFLOW)
check_cxx_compiler_flag(-Wcast-qual          HAS_CXX_WCAST_QUAL)
check_cxx_compiler_flag(-Wcast-align         HAS_CXX_WCAST_ALIGN)
check_cxx_compiler_flag(-Wdouble-promotion   HAS_CXX_WDOUBLE_PROMOTION)
check_cxx_compiler_flag(-Wno-implicit-fallthrough HAX_CXX_IMPLICIT_FALLTHROUGH)

check_cxx_compiler_flag(-Wfatal-errors  HAS_CXX_WFATAL)
check_cxx_compiler_flag(-Og             HAS_CXX_OPTIMIZE_DEBUG)
check_cxx_compiler_flag(-ffast-math     HAS_CXX_FASTMATH)
check_cxx_compiler_flag(-fstrict-aliasing HAS_CXX_STRICTALIASING)
check_cxx_compiler_flag(-finline-functions HAS_CXX_INLINEFUNCTIONS)
check_cxx_compiler_flag(-fomit-frame-pointer HAS_CXX_OMITFRAMEPOINTER)
check_cxx_compiler_flag(-fstrict-overflow HAS_CXX_STRICT_OVERFLOW)
check_cxx_compiler_flag(-fstrict-aliasing HAS_CXX_STRICT_ALIASING)
check_cxx_compiler_flag(-fcf-protection=none HAS_CXX_CF_PROTECTION)
check_cxx_compiler_flag(-fno-stack-protector HAS_CXX_STACK_PROTECTOR)


if(HAS_CXX_FASTMATH)
  add_compile_options("$<$<CONFIG:Release>:-ffast-math>")
endif()

if(HAS_CXX_STRICTALIASING)
  add_compile_options("$<$<CONFIG:Release>:-fstrict-aliasing>")
endif()

if(HAS_CXX_INLINEFUNCTIONS)
  add_compile_options("$<$<CONFIG:Release>:-finline-functions>")
endif()

if(HAS_CXX_OMITFRAMEPOINTER)
  add_compile_options("$<$<CONFIG:Release>:-fomit-frame-pointer>")
endif()

if(HAS_CXX_STRICT_OVERFLOW)
  add_compile_options("$<$<CONFIG:Release>:-fstrict-overflow>")
endif()

if(HAS_CXX_STRICT_ALIASING)
  add_compile_options("$<$<CONFIG:Release>:-fstrict-aliasing>")
endif()

if(HAS_CXX_CF_PROTECTION)
  add_compile_options("$<$<CONFIG:Release>:-fcf-protection=none>")
endif()

if(HAS_CXX_STACK_PROTECTOR)
  add_compile_options("$<$<CONFIG:Release>:-fno-stack-protector>")
endif()



if(HAS_CXX_WALL)
    add_compile_options(-Wall)
endif()

if(HAS_CXX_WEXTRA)
    add_compile_options(-Wextra)
endif()

# Disable any -Wformat as FXString::format is incompatible
if(HAS_CXX_WFORMAT)
    add_compile_options(-Wno-format)
endif()

# Disable -Wformat-security as this flag won't work with passing -Wno-format
if(HAS_CXX_WFORMAT)
    add_compile_options(-Wno-format-security)
endif()

if(HAS_CXX_WFATAL)
    add_compile_options(-Wfatal-errors)
endif()

if(HAS_CXX_WSHADOW)
    add_compile_options(-Wshadow)
endif()

if(HAS_CXX_WOVERLOADED_VIRTUAL)
    add_compile_options(-Woverloaded-virtual)
endif()

if(HAX_CXX_IMPLICIT_FALLTHROUGH)
    add_compile_options(-Wno-implicit-fallthrough)
endif()

if(HAS_CXX_WSTRICT_ALIASING)
    add_compile_options(-Wstrict-aliasing)
endif()

if(HAS_CXX_WSTRICT_OVERFLOW)
    add_compile_options(-Wstrict-overflow)
endif()

if(HAS_CXX_WCAST_QUAL)
    add_compile_options(-Wcast-qual)
endif()

if(HAS_CXX_WCAST_ALIGN)
    add_compile_options(-Wcast-align)
endif()

if(HAS_CXX_WDOUBLE_PROMOTION)
    add_compile_options(-Wdouble-promotion)
endif()

if(WITH_NATIVE)
  check_cxx_compiler_flag(-march=native HAS_CXX_OPTIMIZE_NATIVE)
  if(HAS_CXX_OPTIMIZE_NATIVE)
    add_compile_options(-march=native)
  endif()
endif()

# Libraries
add_subdirectory(utils)
add_subdirectory(lib)

=== gap/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.3.1 FATAL_ERROR)

# set(CMAKE_VERBOSE_MAKEFILE TRUE)

include(TestBigEndian)
include(CheckIncludeFiles)
include(FeatureSummary)

# Test only in Debug mode for now
if(CMAKE_BUILD_TYPE MATCHES Debug)
  add_subdirectory(test)
endif()

# Third Party Modules
add_subdirectory(lib/alac)


# Goggles Audio Player
project(GAP VERSION 1.2.5)

# Update whenever ABI changes
set(GAP_SOVERSION_CURRENT 0)    # Increase whenever an interface has been added, removed or changed.
set(GAP_SOVERSION_REVISION 0)   # Always increase the revision value. Reset to 0 when Current changes.
set(GAP_SOVERSION_AGE 0)        # Increase the age value only if the changes made to the ABI are backward compatible.


set_package_properties(FOX PROPERTIES
                           URL "http://www.fox-toolkit.org"
                           PURPOSE "\tportability library"
                           TYPE REQUIRED)

set_package_properties(expat PROPERTIES
                            PURPOSE "\txml parser"
                            TYPE REQUIRED)


set_package_properties(flac PROPERTIES
                            URL "https://xiph.org/flac"
                            PURPOSE "\tFLAC Codec"
                            TYPE RECOMMENDED)

set_package_properties(ogg PROPERTIES
                            URL "https://www.xiph.org/ogg/"
                            PURPOSE "\tOgg File Input"
                            TYPE RECOMMENDED)

set_package_properties(vorbis PROPERTIES
                            URL "http://www.vorbis.com/"
                            PURPOSE "\tVorbis Codec"
                            TYPE RECOMMENDED)

set_package_properties(opus PROPERTIES
                            URL "http://www.opus-codec.org/"
                            PURPOSE "\tOpus Codec"
                            TYPE RECOMMENDED)

set_package_properties(mad PROPERTIES
                            URL "http://www.underbit.com/products/mad/"
                            PURPOSE "\tMP3 Codec"
                            TYPE OPTIONAL)

set_package_properties(faad PROPERTIES
                            URL "http://www.audiocoding.com/faad2.html"
                            PURPOSE "\tAAC Codec"
                            TYPE OPTIONAL)

set_package_properties(tremor PROPERTIES
                            URL "https://xiph.org/vorbis/"
                            PURPOSE "\tVorbis Codec"
                            TYPE OPTIONAL)

set_package_properties(alsa PROPERTIES
                            URL "http://www.alsa-project.org/"
                            PURPOSE "\tALSA Output"
                            TYPE OPTIONAL)

set_package_properties(pulse PROPERTIES
                            URL "https://www.freedesktop.org/wiki/Software/PulseAudio"
                            PURPOSE "\tPulseAudio Output"
                            TYPE OPTIONAL)

set_package_properties(sndio PROPERTIES
                            URL "http://www.sndio.org/"
                            PURPOSE "\tSndio Output"
                            TYPE OPTIONAL)

set_package_properties(openssl PROPERTIES
                            URL "https://www.openssl.org"
                            PURPOSE "\tSecure HTTP"
                            TYPE OPTIONAL)

set_package_properties(gnutls PROPERTIES
                            URL "https://www.gnutls.org"
                            PURPOSE "\tSecure HTTP"
                            TYPE OPTIONAL)

set_package_properties(gcrypt PROPERTIES
                            URL "https://www.gnu.org/software/libgcrypt"
                            PURPOSE "\tMD5 Hashing"
                            TYPE OPTIONAL)

set_package_properties(zlib PROPERTIES
                            URL "http://www.zlib.net/"
                            PURPOSE "\tZLIB decompression for http(s)"
                            TYPE OPTIONAL)


# Allow GAP to be build as a shared library.
if(MSVC)
  set(BUILD_GAP_SHARED_LIB ON CACHE BOOL "Build libgap as a shared library" FORCE)
else()
  set(BUILD_GAP_SHARED_LIB OFF CACHE BOOL "Build libgap as a shared library")
endif()

# libdir name to allow overriding to lib32 / lib64
set(CMAKE_INSTALL_LIBDIR "lib" CACHE STRING "Specify the name of the directory where libraries are meant to be installed")

# Make CMAKE_INSTALL_LIBDIR relative to CMAKE_INSTALL_PREFIX
if(IS_ABSOLUTE ${CMAKE_INSTALL_LIBDIR})
  set(CMAKE_INSTALL_FULL_LIBDIR ${CMAKE_INSTALL_LIBDIR})
  file(RELATIVE_PATH CMAKE_INSTALL_LIBDIR ${CMAKE_INSTALL_PREFIX} ${CMAKE_INSTALL_LIBDIR})
else()
  set(CMAKE_INSTALL_FULL_LIBDIR ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR})
endif()

# Optional flags to turn on/off compilation of specific modules
if(UNIX)

  # Output Plugins
  if(CMAKE_SYSTEM_NAME STREQUAL "Linux")
    option(WITH_OSS "OSS Output Support" OFF)
    option(WITH_ALSA "ALSA Output Support" ON)
  else()
    option(WITH_OSS "OSS Output Support" ON)
    option(WITH_ALSA "ALSA Output Support" OFF)
  endif()
  option(WITH_PULSE "PulseAudio Output Support" ON)
  option(WITH_JACK "Jack Output Support (currently not working)" OFF)
  option(WITH_WAVOUT "WAV Output Support" ON)
  option(WITH_SNDIO "Sndio Output Support" ON)

  # Containers
  option(WITH_OGG "Ogg File Support" ON)
  option(WITH_MATROSKA "Matroska File Support" ON)
  option(WITH_MP4 "MP4 File Support" ON)

  # Codecs
  option(WITH_VORBIS "Vorbis Codec Support" ON)
  option(WITH_TREMOR "Vorbis Codec (using Tremor) Support" OFF)
  option(WITH_FLAC "FLAC Codec Support" ON)
  option(WITH_MAD "MP3 Codec Support" ON)
  option(WITH_ALAC "ALAC Codec Support" ON)
  option(WITH_FAAD "AAC Codec Support" ON)
  option(WITH_OPUS "Opus Codec Support" ON)
  option(WITH_A52 "A52 Codec Support" OFF)
  option(WITH_DCA "DCA Codec Support" OFF)

  # HTTP(s) + Zlib
  option(WITH_OPENSSL "OpenSSL Support" ON)
  option(WITH_GNUTLS "GnuTLS Support" ON)
  option(WITH_GCRYPT "libgcrypt Support" ON)
  option(WITH_ZLIB "zlib Support" ON)

  option(WITH_STATIC_FOX "Pull in static library dependencies for FOX" OFF)

endif()

# Endiannes
TEST_BIG_ENDIAN(GAP_BIGENDIAN)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED on)
set(CMAKE_CXX_VISIBILITY_PRESET hidden)
set(CMAKE_VISIBILITY_INLINES_HIDDEN 1)

# Expat
find_package(EXPAT REQUIRED)
LIST(APPEND LIBRARIES ${EXPAT_LIBRARIES})

# Third Party Libraries
if(CMAKE_SYSTEM_NAME STREQUAL "Windows")

  # FOX
  find_library(FOX_LIBRARIES NAMES FOX-1.7)
  find_path(FOX_INCLUDE_DIRS NAME fx.h PATH_SUFFIXES fox-1.7)

else()
  find_package(PkgConfig REQUIRED QUIET)

  if (WITH_CFOX)
    set(FOX_LIBRARIES cfox)
    set(FOX_INCLUDE_DIRS $<TARGET_PROPERTY:cfox,INTERFACE_INCLUDE_DIRECTORIES>)
    set_property(TARGET cfox PROPERTY POSITION_INDEPENDENT_CODE TRUE)
  else()
    pkg_check_modules(FOX fox17>=1.7.50 REQUIRED)
  endif()

  if(WITH_ALSA)
    pkg_check_modules(ALSA alsa>=1.0)
  endif()

  if(WITH_PULSE)
    pkg_check_modules(PULSE libpulse>=0.9.21)
  endif()

  if(WITH_JACK)
    pkg_check_modules(JACK jack)
  endif()

  if(WITH_SNDIO)
    check_include_files(sndio.h HAVE_SNDIO_H)
    if(HAVE_SNDIO_H)
        find_library(SNDIO_LIBRARIES NAMES sndio)
        if(SNDIO_LIBRARIES)
            set(SNDIO_FOUND 1)
        endif()
    endif()
  endif()

  if(WITH_DCA)
    pkg_check_modules(DCA libdca)
  endif()

  if(WITH_FLAC)
    pkg_check_modules(FLAC flac)
  endif()

  if(WITH_OGG)
    pkg_check_modules(OGG ogg>=1.0)
    if(WITH_TREMOR)
      pkg_check_modules(TREMOR vorbisidec>=1.2)
    elseif(WITH_VORBIS)
      pkg_check_modules(VORBIS vorbis>=1.2)
    endif()
    if(WITH_OPUS)
      pkg_check_modules(OPUS opus)
    endif()
  endif()

  if(WITH_ZLIB)
    pkg_check_modules(ZLIB zlib)
  endif()

  if(WITH_OPENSSL)
    pkg_check_modules(OPENSSL openssl>=1.0.1)
  elseif(WITH_GNUTLS)
    pkg_check_modules(GNUTLS gnutls>=3.4.0)
  elseif(WITH_GCRYPT)
    check_include_files(gcrypt.h HAVE_GCRYPT_H)
    if (HAVE_GCRYPT_H)
      find_library(LIBGCRYPT_LIBRARIES NAMES gcrypt )
      if (LIBGCRYPT_LIBRARIES)
        set(GCRYPT_FOUND 1)
      endif()
    endif()
  endif()
endif()


# Check for libgrypt


# Check for libmad
if(WITH_MAD)
  check_include_files(mad.h HAVE_MAD_H)
  if (HAVE_MAD_H)
    find_library(MAD_LIBRARIES NAMES mad )
    if (MAD_LIBRARIES)
      set(MAD_FOUND TRUE)
    endif()
  endif()
endif()


# Check for faad
if(WITH_FAAD)
  check_include_files(faad.h HAVE_FAAD_H)
  if (HAVE_FAAD_H)
    find_library(FAAD_LIBRARIES NAMES faad )
    if (FAAD_LIBRARIES)
      set(FAAD_FOUND TRUE)
    endif()
  endif()
endif()


# Check for a52
if(WITH_A52)
  find_path(HAVE_A52_H a52dec/a52.h)
  if (HAVE_A52_H)
      find_library(A52_LIBRARIES NAMES a52)
      if (A52_LIBRARIES)
          set(A52_FOUND TRUE)
          message(STATUS "liba52dec found ${A52_LIBRARIES}")
      endif()
  endif()
endif()

#-------------------------------------------------------------------------------

set(SOURCES ap_app_queue.cpp
            ap_buffer.cpp
            ap_buffer_io.cpp
            ap_connect.cpp
            ap_convert.cpp
            ap_crossfader.cpp
            ap_decoder_plugin.cpp
            ap_decoder_thread.cpp
            ap_device.cpp
            ap_engine.cpp
            ap_event.cpp
            ap_format.cpp
            ap_http_client.cpp
            ap_http_response.cpp
            ap_input_plugin.cpp
            ap_input_thread.cpp
            ap_output_thread.cpp
            ap_packet.cpp
            ap_player.cpp
            ap_reactor.cpp
            ap_reader_plugin.cpp
            ap_signal.cpp
            ap_socket.cpp
            ap_thread.cpp
            ap_thread_queue.cpp
            ap_utils.cpp
            ap_xml_parser.cpp
            )

set(HEADERS ap_buffer.h
            ap_config.h
            ap_connect.h
            ap_convert.h
            ap_crossfader.h
            ap_decoder_plugin.h
            ap_decoder_thread.h
            ap_defs.h
            ap_engine.h
            ap_event_private.h
            ap_format.h
            ap_input_plugin.h
            ap_input_thread.h
            ap_output_plugin.h
            ap_output_thread.h
            ap_packet.h
            ap_reactor.h
            ap_reader_plugin.h
            ap_signal.h
            ap_socket.h
            ap_thread.h
            ap_thread_queue.h
            ap_utils.h
            )

set(PUBLIC_HEADERS include/ap.h
                   include/ap_app_queue.h
                   include/ap_buffer_base.h
                   include/ap_buffer_io.h
                   include/ap_common.h
                   include/ap_device.h
                   include/ap_event.h
                   include/ap_event_queue.h
                   include/ap_http.h
                   include/ap_http_client.h
                   include/ap_http_response.h
                   include/ap_player.h
                   include/ap_xml_parser.h
                   )


set(PLUGIN_SOURCES plugins/ap_aiff.cpp
                   plugins/ap_file.cpp
                   plugins/ap_http.cpp
                   plugins/ap_m3u.cpp
                   plugins/ap_pcm.cpp
                   plugins/ap_pls.cpp
                   plugins/ap_wav.cpp
                   plugins/ap_xspf.cpp
                   )

set(OUTPUT_SOURCES plugins/ap_alsa.cpp
                   plugins/ap_jack.cpp
                   plugins/ap_oss_plugin.cpp
                   plugins/ap_pulse.cpp
                   plugins/ap_sndio.cpp
                   plugins/ap_wavout.cpp)

#if(WIN32)
  if(BUILD_GAP_SHARED_LIB)
    add_definitions(-DGAP_DLL)
    set(GAP_PLUGIN_LINK_TARGET gap)
  else()
    set(GAP_PLUGIN_LINK_TARGET gogglesmm)
  endif()
#endif()

# Link to FOX during shared library build
if(BUILD_GAP_SHARED_LIB)
  LIST(APPEND LIBRARIES ${FOX_LIBRARIES})
endif()

# Buildin Alac Decoder
if(WITH_ALAC AND WITH_MP4)
  LIST(APPEND PLUGIN_SOURCES plugins/ap_alac.cpp)
  LIST(APPEND GAP_TARGET_OBJECTS $<TARGET_OBJECTS:gap_alac>)
  set(HAVE_ALAC 1)
endif()

if(FLAC_FOUND)
  LIST(APPEND PLUGIN_SOURCES plugins/ap_flac.cpp)

=== src/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.3.1 FATAL_ERROR)

include(TestBigEndian)
include(CheckIncludeFiles)
include(FeatureSummary)

project(GOGGLESMM VERSION 1.2.5)


option(WITH_OPENGL "Enable OpenGL Features" ON)
option(WITH_DBUS "Enable DBUS Features" ON)
option(WITH_NLS "Enable Native Language Support" ON)
option(WITH_SESSION "Enable X Session Support" ON)

# Translation Files to share/locale
set(LOCALE_PATH ${CMAKE_INSTALL_PREFIX}/share/locale)

# Don't use CMAKE_INSTALL_PREFIX since most icons won't be installed anywhere but /usr
set(ICON_PATH /usr/share/icons)

# We need C++ 11
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED on)
set(CMAKE_SHARED_LIBRARY_LINK_CXX_FLAGS)
set(CMAKE_CXX_VISIBILITY_PRESET hidden)
set(CMAKE_VISIBILITY_INLINES_HIDDEN 1)

# Display the build type
message(STATUS "Icon Path: ${ICON_PATH}")
message(STATUS "Locale Path: ${LOCALE_PATH}")


#------------------------------------------------------------------------------

TEST_BIG_ENDIAN(GOGGLESMM_BIGENDIAN)

find_package(PkgConfig)

if(NOT WITH_CFOX)
  pkg_check_modules(FOX REQUIRED fox17>=1.7.50 )
else()
  set(CFOX cfox)
endif()

pkg_check_modules(TAGLIB REQUIRED taglib>=1.9.0)
pkg_check_modules(SQLITE REQUIRED sqlite3>=3.6.19)

pkg_check_modules(SM sm)
pkg_check_modules(ICE ice)
pkg_check_modules(X11 x11)

if(WITH_DBUS)
  pkg_check_modules(DBUS dbus-1)
endif()

if(WITH_OPENGL)
  pkg_check_modules(EPOXY REQUIRED epoxy)
  pkg_check_modules(GLU REQUIRED glu)
  set(HAVE_OPENGL 1)
endif()

if(WITH_NLS)
  find_package(Intl REQUIRED)
  set(HAVE_NLS 1)
endif()


if(WITH_CFOX)
  set(RESWRAP $<TARGET_FILE:reswrap>)
  set(RESWRAP_H ${RESWRAP} --keep-ext --header)
  set(RESWRAP_CPP ${RESWRAP} --keep-ext --source --extern)
  set(RESWRAP_TEXT ${RESWRAP} --keep-ext -t)
else()
  find_program(RESWRAP NAMES reswrap-1.7 reswrap fox-reswrap)
  if(RESWRAP)
    message(STATUS "Found reswrap: ${RESWRAP}")
    execute_process(COMMAND ${RESWRAP} -v OUTPUT_VARIABLE RESWRAP_OUTPUT)
    string(REGEX MATCH "[0-9]+.[0-9]+.[0-9]" RESWRAP_VERSION "${RESWRAP_OUTPUT}")
    if(RESWRAP_VERSION VERSION_LESS "5.0")
      set(RESWRAP_H ${RESWRAP} -i -k)
      set(RESWRAP_CPP ${RESWRAP} -e -k)
      set(RESWRAP_TEXT ${RESWRAP} -t -k)
    else()
      set(RESWRAP_H ${RESWRAP} --keep-ext --header)
      set(RESWRAP_CPP ${RESWRAP} --keep-ext --source --extern)
      set(RESWRAP_TEXT ${RESWRAP} --keep-ext -t)
    endif()
  else()
    message(FATAL_ERROR "Unable to find reswrap")
  endif()
endif()


#------------------------------------------------------------------------------

set(SOURCES GMAbout.cpp
            GMAnimImage.cpp
            GMApp.cpp
            GMAudioPlayer.cpp
            GMAudioScrobbler.cpp
            GMAlbumList.cpp
            GMClipboard.cpp
            GMColumnDialog.cpp
            GMCover.cpp
            GMCoverCache.cpp
            GMCoverManager.cpp
            GMDatabase.cpp
            GMDatabaseSource.cpp
            GMFilename.cpp
            GMFilter.cpp
            GMFilterEditor.cpp
            GMFilterSource.cpp
            GMFontDialog.cpp
            GMIconTheme.cpp
            GMImportDialog.cpp
            GMImageView.cpp
            GMList.cpp
            GMLocalSource.cpp
            GMLyrics.cpp
            GMPlayerManager.cpp
            GMPlayListSource.cpp
            GMPlayQueue.cpp
            GMPodcastSource.cpp
            GMPreferences.cpp
            GMPreferencesDialog.cpp
            GMPresenter.cpp
            GMRemote.cpp
            GMScanner.cpp
            GMSource.cpp
            GMSourceView.cpp
            GMTag.cpp
            GMTaskManager.cpp
            GMTrack.cpp
            GMTrackDatabase.cpp
            GMTrackEditor.cpp
            GMTrackList.cpp
            GMTrackItem.cpp
            GMTrackView.cpp
            GMTrayIcon.cpp
            GMStreamSource.cpp
            GMWindow.cpp
            main.cpp
            icons.cpp
            fxext.cpp
            gmutils.cpp)

set(HEADERS GMAbout.h
            GMAnimImage.h
            GMApp.h
            GMAudioPlayer.h
            GMAudioScrobbler.h
            GMAlbumList.h
            GMClipboard.h
            GMColumnDialog.h
            GMCover.h
            GMCoverCache.h
            GMCoverManager.h
            GMDatabase.h
            GMDatabaseSource.h
            GMFilename.h
            GMFilter.h
            GMFilterEditor.h
            GMFilterSource.h
            GMFontDialog.h
            GMIconTheme.h
            GMImportDialog.h
            GMImageView.h
            GMList.h
            GMLocalSource.h
            GMLyrics.h
            GMPlayerManager.h
            GMPlayListSource.h
            GMPlayQueue.h
            GMPodcastSource.h
            GMPreferences.h
            GMPreferencesDialog.h
            GMPresenter.h
            GMRemote.h
            GMSession.h
            GMScanner.h
            GMSource.h
            GMSourceView.h
            GMTag.h
            GMTaskManager.h
            GMTrack.h
            GMTrackDatabase.h
            GMTrackEditor.h
            GMTrackList.h
            GMTrackItem.h
            GMTrackView.h
            GMTrayIcon.h
            GMStreamSource.h
            GMWindow.h
            icons.h
            fxext.h
            gmdefs.h
            gmutils.h)

set(ICONS cursor_hand.gif
          about.png
          gogglesmm_16.png
          gogglesmm_32.png
          x16_accessories_text_editor.png
          x16_application_rss_xml.png
          x16_applications_internet.png
          x16_audio_volume_high.png
          x16_audio_volume_low.png
          x16_audio_volume_medium.png
          x16_audio_volume_muted.png
          x16_audio_x_generic.png
          x16_bookmark_new.png
          x16_document_open.png
          x16_document_save.png
          x16_edit_copy.png
          x16_edit_cut.png
          x16_edit_delete.png
          x16_edit_find.png
          x16_edit_paste.png
          x16_edit_undo.png
          x16_exit.png
          x16_folder.png
          x16_folder_open.png
          x16_go_bottom.png
          x16_go_home.png
          x16_help_browser.png
          x16_image_x_generic.png
          x16_list_add.png
          x16_list_remove.png
          x16_media_optical.png
          x16_media_playback_pause.png
          x16_media_playback_start.png
          x16_media_playback_stop.png
          x16_media_skip_backward.png
          x16_media_skip_forward.png
          x16_preferences_desktop.png
          x16_process_working.png
          x16_stock_attach.png
          x16_status_error.png
          x16_system_users.png
          x16_text_x_generic.png
          x16_view_refresh.png
          x16_view_sort_descending.png
          x16_window_close.png
          x16_x_office_presentation.png
          x22_applications_internet.png
          x22_applications_multimedia.png
          x22_applications_rss_xml.png
          x22_audio_volume_high.png
          x22_audio_volume_low.png
          x22_audio_volume_medium.png
          x22_audio_volume_muted.png
          x22_audio_x_generic.png
          x22_document_open.png
          x22_document_properties.png
          x22_drive_harddisk.png
          x22_folder.png
          x22_image_x_generic.png
          x22_media_playback_pause.png
          x22_media_playback_start.png
          x22_media_playback_stop.png
          x22_media_skip_backward.png
          x22_media_skip_forward.png
          x22_preferences_system.png
          x22_text_x_generic.png
          x22_user_bookmarks.png
          x22_user_home.png
          x22_x_office_presentation.png
          x128_media_optical.png)



if(WITH_SESSION AND SM_FOUND AND ICE_FOUND)
  list(APPEND SOURCES GMSession.cpp)
  set(HAVE_SESSION 1)
endif()



add_custom_command(
  OUTPUT ${CMAKE_CURRENT_SOURCE_DIR}/icons.h ${CMAKE_CURRENT_SOURCE_DIR}/icons.cpp
  COMMAND ${RESWRAP_H} -o ${CMAKE_CURRENT_SOURCE_DIR}/icons.h ${ICONS}
  COMMAND ${RESWRAP_CPP} -o ${CMAKE_CURRENT_SOURCE_DIR}/icons.cpp ${ICONS}
  WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/icons
  VERBATIM
  )

# Enable DBUS specific features
if (WITH_DBUS AND DBUS_FOUND)
  list(APPEND SOURCES GMDBus.cpp
                      GMSettingsDaemon.cpp
                      GMMediaPlayerService.cpp
                      GMNotifyDaemon.cpp)

  list(APPEND HEADERS GMDBus.h
                      GMSettingsDaemon.h
                      GMMediaPlayerService.h
                      GMNotifyDaemon.h
                      mpris1_xml.h
                      mpris2_xml.h)

  add_custom_command(
    OUTPUT ${CMAKE_CURRENT_SOURCE_DIR}/mpris1_xml.h ${CMAKE_CURRENT_SOURCE_DIR}/mpris2_xml.h
    COMMAND ${RESWRAP_TEXT} -o mpris1_xml.h mpris.xml mpris_player.xml mpris_tracklist.xml
    COMMAND ${RESWRAP_TEXT} -o mpris2_xml.h mpris2.xml
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    VERBATIM
    )
  set(HAVE_DBUS 1)
endif()

#-------------------------------------------------------------------------------
#
# Workaround to compile with earlier versions of FOX, something
# that cannot be easily handled using the preprocessor#
#
if (NOT WITH_CFOX AND FOX_VERSION VERSION_LESS "1.7.80")
  message("Replacing occurences of FXString::compare")
  foreach(sourcefile IN LISTS SOURCES)
    if(EXISTS ${sourcefile})
      file(READ ${sourcefile} content)
      string(REPLACE "FXString::compare" "FX::compare" updated "${content}")
      string(REPLACE "comparenatural" "compareversion" updated "${updated}")
      file(WRITE ${sourcefile} "${updated}")
    endif()
  endforeach()
endif()

#-------------------------------------------------------------------------------

# Features
add_feature_info(dbus HAVE_DBUS "D-Bus")
add_feature_info(nls WITH_NLS "Native Language Support")
add_feature_info(opengl HAVE_OPENGL "OpenGL Rendering")
add_feature_info(session HAVE_SESSION "X11 Session Management")

# Write gmconfig.h
configure_file(gmconfig.h.in ${CMAKE_CURRENT_SOURCE_DIR}/gmconfig.h)

# Goggles Music Manager
add_executable(gogglesmm ${SOURCES} ${HEADERS})

# GAP outplut plugins need symbols from the gap library. If we build GAP as a static library,
# gogglesmm needs to export those symbols instead.
if(NOT BUILD_GAP_SHARED_LIB)
  message(STATUS "gogglesmm: enable exports (libgap static library)")
  set_target_properties(gogglesmm PROPERTIES ENABLE_EXPORTS 1)
endif()

# Include Directories
target_include_directories(gogglesmm PRIVATE
                           ${FOX_INCLUDE_DIRS}
                           ${TAGLIB_INCLUDE_DIRS}
                           ${DBUS_INCLUDE_DIRS})

# Libraries
target_link_libraries(gogglesmm PRIVATE gap ${CFOX}
                      ${SQLITE_LIBRARIES}
                      ${TAGLIB_LIBRARIES}
                      ${DBUS_LIBRARIES}
                      ${GLU_LIBRARIES}
                      ${EPOXY_LIBRARIES}
                      ${X11_LIBRARIES}
                      ${SM_LIBRARIES}
                      ${ICE_LIBRARIES}
                      ${Intl_LIBRARIES})

install(TARGETS gogglesmm RUNTIME DESTINATION bin)

=== cfox/lib/CMakeLists.txt ===
include(CheckIncludeFileCXX)
include(CheckCXXSourceCompiles)
include(CheckCXXSymbolExists)
include(CMakePushCheckState)

option(WITH_XIM "Compile with X Input Method support" ON)
option(WITH_JPEG "Compile with JPEG support" ON)
option(WITH_PNG "Compile with PNG support" ON)
option(WITH_TIFF "Compile with TIFF support" ON)
option(WITH_ZLIB "Compile with zlib support" ON)
option(WITH_BZ2LIB "Compile with bz2lib support" ON)
option(WITH_WEBP "Compile with webp support" ON)
option(WITH_OPENJPEG "Compile with OpenJPEG support" ON)
option(WITH_OPENGL "Compile with OpenGL support" ON)

# libdir name to allow overriding to lib32 / lib64
set(CMAKE_INSTALL_LIBDIR "lib" CACHE STRING "Specify the name of the directory where libraries are meant to be installed")

set(HEADERS ../include/fx3d.h
            ../include/FX4Splitter.h
            ../include/FX7Segment.h
            ../include/FX885910Codec.h
            ../include/FX885911Codec.h
            ../include/FX885913Codec.h
            ../include/FX885914Codec.h
            ../include/FX885915Codec.h
            ../include/FX885916Codec.h
            ../include/FX88591Codec.h
            ../include/FX88592Codec.h
            ../include/FX88593Codec.h
            ../include/FX88594Codec.h
            ../include/FX88595Codec.h
            ../include/FX88596Codec.h
            ../include/FX88597Codec.h
            ../include/FX88598Codec.h
            ../include/FX88599Codec.h
            ../include/FXAccelTable.h
            ../include/FXApp.h
            ../include/FXArray.h
            ../include/FXArrowButton.h
            ../include/fxascii.h
            ../include/FXAtomic.h
            ../include/FXAutoPtr.h
            ../include/FXAutoThreadStorageKey.h
            ../include/FXBarrier.h
            ../include/FXBitmapFrame.h
            ../include/FXBitmap.h
            ../include/FXBitmapView.h
            ../include/FXBMPIcon.h
            ../include/FXBMPImage.h
            ../include/FXButton.h
            ../include/FXBZFileStream.h
            ../include/FXCalendar.h
            ../include/FXCalendarView.h
            ../include/FXCallback.h
            ../include/FXCanvas.h
            ../include/FXCheckButton.h
            ../include/FXChoiceBox.h
            ../include/FXColorBar.h
            ../include/FXColorDialog.h
            ../include/FXColorList.h
            ../include/FXColorRing.h
            ../include/FXColorSelector.h
            ../include/FXColors.h
            ../include/FXColorWell.h
            ../include/FXColorWheel.h
            ../include/FXComboBox.h
            ../include/FXCompletion.h
            ../include/FXComplexd.h
            ../include/FXComplexf.h
            ../include/FXComposeContext.h
            ../include/FXComposite.h
            ../include/FXCondition.h
            ../include/FXConsole.h
            ../include/FXCP1250Codec.h
            ../include/FXCP1251Codec.h
            ../include/FXCP1252Codec.h
            ../include/FXCP1253Codec.h
            ../include/FXCP1254Codec.h
            ../include/FXCP1255Codec.h
            ../include/FXCP1256Codec.h
            ../include/FXCP1257Codec.h
            ../include/FXCP1258Codec.h
            ../include/FXCP437Codec.h
            ../include/FXCP850Codec.h
            ../include/FXCP852Codec.h
            ../include/FXCP855Codec.h
            ../include/FXCP856Codec.h
            ../include/FXCP857Codec.h
            ../include/FXCP860Codec.h
            ../include/FXCP861Codec.h
            ../include/FXCP862Codec.h
            ../include/FXCP863Codec.h
            ../include/FXCP864Codec.h
            ../include/FXCP865Codec.h
            ../include/FXCP866Codec.h
            ../include/FXCP869Codec.h
            ../include/FXCP874Codec.h
            ../include/fxchar.h
            ../include/fxcpuid.h
            ../include/FXCURCursor.h
            ../include/FXCursor.h
            ../include/FXDataTarget.h
            ../include/FXDate.h
            ../include/FXDC.h
            ../include/FXDCPrint.h
            ../include/FXDCWindow.h
            ../include/FXDDSIcon.h
            ../include/FXDDSImage.h
            ../include/FXDebugTarget.h
            ../include/fxdefs.h
            ../include/FXDelegator.h
            ../include/FXDial.h
            ../include/FXDialogBox.h
            ../include/FXDictionary.h
            ../include/FXDictionaryOf.h
            ../include/FXDirBox.h
            ../include/FXDirDialog.h
            ../include/FXDir.h
            ../include/FXDirList.h
            ../include/FXDirSelector.h
            ../include/FXDirVisitor.h
            ../include/FXDirWatch.h
            ../include/FXDispatcher.h
            ../include/FXDisplay.h
            ../include/FXDLL.h
            ../include/FXDockBar.h
            ../include/FXDockHandler.h
            ../include/FXDockSite.h
            ../include/FXDockTitle.h
            ../include/FXDocument.h
            ../include/FXDragCorner.h
            ../include/FXDrawable.h
            ../include/FXDriveBox.h
            ../include/FXElement.h
            ../include/fxendian.h
            ../include/FXEvent.h
            ../include/FXEventDispatcher.h
            ../include/FXEventLoop.h
            ../include/FXException.h
            ../include/FXEXEIcon.h
            ../include/FXEXEImage.h
            ../include/FXExpression.h
            ../include/FXExtentd.h
            ../include/FXExtentf.h
            ../include/FXFileAssociations.h
            ../include/FXFileDialog.h
            ../include/FXFile.h
            ../include/FXFileList.h
            ../include/FXFileProgressDialog.h
            ../include/FXFileSelector.h
            ../include/FXFileStream.h
            ../include/FXFoldingList.h
            ../include/FXFontDialog.h
            ../include/FXFont.h
            ../include/FXFontSelector.h
            ../include/FXFrame.h
            ../include/FXGauge.h
            ../include/FXGIFCursor.h
            ../include/FXGIFIcon.h
            ../include/FXGIFImage.h
            ../include/FXGLCanvas.h
            ../include/FXGLContext.h
            ../include/FXGLObject.h
            ../include/FXGLViewer.h
            ../include/FXGLVisual.h
            ../include/FXGradientBar.h
            ../include/FXGroupBox.h
            ../include/FXGZFileStream.h
            ../include/fx.h
            ../include/FXhalf.h
            ../include/FXHash.h
            ../include/FXHashOf.h
            ../include/FXHeader.h
            ../include/FXHorizontalFrame.h
            ../include/FXICOIcon.h
            ../include/FXICOImage.h
            ../include/FXIconCache.h
            ../include/FXIcon.h
            ../include/FXIconList.h
            ../include/FXIconSource.h
            ../include/FXId.h
            ../include/FXIFFIcon.h
            ../include/FXIFFImage.h
            ../include/FXImageFrame.h
            ../include/FXImage.h
            ../include/FXImageView.h
            ../include/FXINI.h
            ../include/FXINIFile.h
            ../include/FXInputDialog.h
            ../include/FXIOBuffer.h
            ../include/FXIODevice.h
            ../include/FXIO.h
            ../include/FXJP2Icon.h
            ../include/FXJP2Image.h
            ../include/FXJPGIcon.h
            ../include/FXJPGImage.h
            ../include/FXJSON.h
            ../include/FXJSONFile.h
            ../include/FXJSONString.h
            ../include/fxkeys.h
            ../include/FXKnob.h
            ../include/FXKOI8RCodec.h
            ../include/FXLabel.h
            ../include/FXLFQueue.h
            ../include/FXListBox.h
            ../include/FXList.h
            ../include/FXLocale.h
            ../include/FXMainWindow.h
            ../include/FXMat2d.h
            ../include/FXMat2f.h
            ../include/FXMat3d.h
            ../include/FXMat3f.h
            ../include/FXMat4d.h
            ../include/FXMat4f.h
            ../include/fxmath.h
            ../include/FXMatrix.h
            ../include/FXMDIButton.h
            ../include/FXMDIChild.h
            ../include/FXMDIClient.h
            ../include/FXMemMap.h
            ../include/FXMemoryStream.h
            ../include/FXMenuBar.h
            ../include/FXMenuButton.h
            ../include/FXMenuCaption.h
            ../include/FXMenuCascade.h
            ../include/FXMenuCheck.h
            ../include/FXMenuCommand.h
            ../include/FXMenuPane.h
            ../include/FXMenuRadio.h
            ../include/FXMenuSeparator.h
            ../include/FXMenuTitle.h
            ../include/FXMessageBox.h
            ../include/FXMessageChannel.h
            ../include/FXMetaClass.h
            ../include/FXMutex.h
            ../include/FXObject.h
            ../include/FXObjectList.h
            ../include/FXOptionMenu.h
            ../include/FXPacker.h
            ../include/FXParallel.h
            ../include/FXParseBuffer.h
            ../include/FXPath.h
            ../include/FXPCXIcon.h
            ../include/FXPCXImage.h
            ../include/FXPicker.h
            ../include/FXPipe.h
            ../include/FXPNGIcon.h
            ../include/FXPNGImage.h
            ../include/FXPoint.h
            ../include/FXPopup.h
            ../include/FXPPMIcon.h
            ../include/FXPPMImage.h
            ../include/FXPrintDialog.h
            ../include/FXProcess.h
            ../include/FXProgressBar.h
            ../include/FXProgressDialog.h
            ../include/FXPtrList.h
            ../include/FXPtrQueue.h
            ../include/FXQuatd.h
            ../include/FXQuatf.h
            ../include/FXRadioButton.h
            ../include/FXRandom.h
            ../include/FXRanged.h
            ../include/FXRangef.h
            ../include/FXRangeSlider.h
            ../include/FXRASIcon.h
            ../include/FXRASImage.h
            ../include/FXReactor.h
            ../include/FXReadWriteLock.h
            ../include/FXRealSlider.h
            ../include/FXRealSpinner.h
            ../include/FXRecentFiles.h
            ../include/FXRectangle.h
            ../include/FXRefPtr.h
            ../include/FXRegion.h
            ../include/FXRegistry.h
            ../include/FXReplaceDialog.h
            ../include/FXReverseDictionary.h
            ../include/FXReverseDictionaryOf.h
            ../include/FXRex.h
            ../include/FXRGBIcon.h
            ../include/FXRGBImage.h
            ../include/FXRootWindow.h
            ../include/FXRuler.h
            ../include/FXRulerView.h
            ../include/FXRunnable.h
            ../include/FXScopedThread.h
            ../include/FXScrollArea.h
            ../include/FXScrollBar.h
            ../include/FXScrollPane.h
            ../include/FXScrollWindow.h
            ../include/FXSearchDialog.h
            ../include/FXSemaphore.h
            ../include/FXSemaQueue.h
            ../include/FXSeparator.h
            ../include/FXSettings.h
            ../include/FXShell.h
            ../include/FXShutter.h
            ../include/FXSize.h
            ../include/FXSlider.h
            ../include/FXSocket.h
            ../include/FXSphered.h
            ../include/FXSpheref.h
            ../include/FXSpinLock.h
            ../include/FXSpinner.h
            ../include/FXSplashWindow.h
            ../include/FXSplitter.h
            ../include/FXSpring.h
            ../include/FXStat.h
            ../include/FXStatusBar.h
            ../include/FXStatusLine.h
            ../include/FXStream.h
            ../include/FXStringDictionary.h
            ../include/FXString.h
            ../include/FXSwitcher.h
            ../include/FXSystem.h
            ../include/FXTabBar.h
            ../include/FXTabBook.h
            ../include/FXTabItem.h
            ../include/FXTable.h
            ../include/FXTaskGroup.h
            ../include/FXTextCodec.h
            ../include/FXTextField.h
            ../include/FXText.h
            ../include/FXTGAIcon.h
            ../include/FXTGAImage.h

=== gap/test/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.3.1 FATAL_ERROR)

project(gap_tests)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED on)

# HttpClient
add_executable(gap_http http.cpp)
target_link_libraries(gap_http PRIVATE gap)

# Github version check
add_executable(gap_lastversion lastversion.cpp)
target_link_libraries(gap_lastversion PRIVATE gap)

=== gap/lib/alac/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.3.1 FATAL_ERROR)

include(TestBigEndian)
include(CheckIncludeFiles)
include(FeatureSummary)

project(ALAC)


set(SOURCES
  alac.c
)

set(PUBLIC_HEADERS
  alac.h)

add_library(gap_alac OBJECT ${SOURCES} ${PUBLIC_HEADERS} )
#target_include_directories(gap_alac INTERFACE ${CMAKE_CURRENT_SOURCE_DIR})

=== gap/lib/md5/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.3.1 FATAL_ERROR)

include(TestBigEndian)
include(CheckIncludeFiles)
include(FeatureSummary)

project(MD5)


set(SOURCES
  md5.cpp
)

set(PUBLIC_HEADERS
  md5.h)

add_library(gap_md5 OBJECT ${SOURCES} ${PUBLIC_HEADERS} )
#target_include_directories(gap_alac INTERFACE ${CMAKE_CURRENT_SOURCE_DIR})

=== debian/changelog ===
gogglesmm (1.2.5-6) unstable; urgency=medium

  * fix ftfbs by applying DCMAKE_POLICY_VERSION_MINIMUM=3.5 (closes: #1112971)
  * update watch to v5
  * remove Rules-Requires-Root

 -- Cord Beermann <cord@debian.org>  Sun, 28 Sep 2025 14:46:19 +0200

gogglesmm (1.2.5-5) unstable; urgency=medium

  * update Build-Dependency libtag1-dev --> libtag-dev (closes: #1096086)
  * Bump policy (no change)

 -- Cord Beermann <cord@debian.org>  Sat, 22 Mar 2025 16:07:35 +0100

gogglesmm (1.2.5-4) unstable; urgency=medium

  * end of test run, all major Architectures are now building.
    (closes: #1071416, #1071419)
  * still some architectures fail to build, see
    https://buildd.debian.org/status/package.php?p=gogglesmm

 -- Cord Beermann <cord@debian.org>  Sat, 25 May 2024 13:31:00 +0200

gogglesmm (1.2.5-4~experimental4) experimental; urgency=medium

  * More experiments with Buildflags for m68k, powwrpc and sh4

 -- Cord Beermann <cord@debian.org>  Sat, 25 May 2024 09:57:34 +0200

gogglesmm (1.2.5-4~experimental3) experimental; urgency=medium

  * Fix up more build options

 -- Cord Beermann <cord@debian.org>  Fri, 24 May 2024 22:33:29 +0200

gogglesmm (1.2.5-4~experimental2) experimental; urgency=medium

  * Try another flag for powerpc

 -- Cord Beermann <cord@debian.org>  Fri, 24 May 2024 19:24:42 +0200

gogglesmm (1.2.5-4~experimental1) experimental; urgency=medium

  * Testing a patch for Big Endian Build

 -- Cord Beermann <cord@debian.org>  Thu, 23 May 2024 20:35:26 +0200

gogglesmm (1.2.5-3) unstable; urgency=medium

  * Push again to unstable. New working architecture is armel,
    but all Big Endian Architectures fail to compile.

 -- Cord Beermann <cord@debian.org>  Wed, 22 May 2024 21:10:07 +0200

gogglesmm (1.2.5-3~experimental6) experimental; urgency=medium

  * Full upload to experimental

 -- Cord Beermann <cord@debian.org>  Tue, 21 May 2024 18:52:41 +0200

gogglesmm (1.2.5-3~experimental5) experimental; urgency=medium

  * Another try to get more debugging information about endianness.
  * Upload only to amd64 and s390x

 -- Cord Beermann <cord@debian.org>  Mon, 20 May 2024 21:02:46 +0200

gogglesmm (1.2.5-3~experimental4) experimental; urgency=medium

  * Armel is working, so applying this to sh4 too.
  * FTBFS expected for all Big Endian Architectures.

 -- Cord Beermann <cord@debian.org>  Mon, 20 May 2024 11:53:18 +0200

gogglesmm (1.2.5-3~experimental3) experimental; urgency=low

  * Add a probable fix for armel FTBFS
  * Add some more debugging to see environment variables

 -- Cord Beermann <cord@debian.org>  Sun, 19 May 2024 22:44:42 +0200

gogglesmm (1.2.5-3~experimental2) experimental; urgency=low

  * Rebuild with some tweaks for the non-building Architectures.

 -- Cord Beermann <cord@debian.org>  Sun, 19 May 2024 13:24:45 +0200

gogglesmm (1.2.5-2) unstable; urgency=medium

  * Updated Policy to 4.7.0, no change
  * Removed suggestion on python2
  * Removed links to non-existing vcs
  * Restricted build to the known working architectures. Report Build-Failures
    from https://buildd.debian.org/status/logs.php?pkg=gogglesmm&ver=1.2.5-1
    upstream https://github.com/gogglesmm/gogglesmm/issues/118

 -- Cord Beermann <cord@debian.org>  Sun, 05 May 2024 20:07:01 +0200

gogglesmm (1.2.5-1) unstable; urgency=low

  * Taking over the package (closes: #994692)
  * New upstream release. (closes: #1008384, #739268)
  * Bumped Policy to 4.6.2

 -- Cord Beermann <cord@debian.org>  Tue, 30 Apr 2024 22:53:49 +0200

=== debian/control ===
Source: gogglesmm
Section: sound
Priority: optional
Maintainer: Cord Beermann <cord@debian.org>
Build-Depends: debhelper-compat (= 13),
	       cmake (>= 3.3.1),
	       liba52-dev,
	       libasound2-dev,
	       libbz2-dev,
	       libdbus-1-dev,
	       libepoxy-dev,
	       libexpat1-dev,
	       libfaad-dev,
	       libflac-dev,
	       libfreetype-dev,
	       libglu1-mesa-dev,
	       libice-dev,
	       libjpeg-dev,
	       libmad0-dev [!hppa !m68k !powerpc !ppc64 !s390x !sparc64],
	       libogg-dev,
	       libopengl-dev,
	       libopenjp2-7-dev,
	       libopus-dev,
	       libpng-dev,
	       libpulse-dev,
	       libsm-dev,
	       libsndio-dev,
	       libsqlite3-dev (>= 3.6.19),
	       libssl-dev,
	       libtag-dev,
	       libtiff-dev,
	       libvorbis-dev,
	       libwebp-dev,
	       libx11-dev,
	       libxcursor-dev,
	       libxfixes-dev,
	       libxft-dev,
	       libxrandr-dev,
	       libz-dev,
               libfontconfig-dev,
               libncurses-dev,
	       gcc-multilib [ia64]
Standards-Version: 4.7.2
Homepage: https://gogglesmm.github.io

Package: gogglesmm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Goggles Music Player and Manager
 Goggles Music Manager is a easy to use music manager and player for the Linux
 desktop. It comes with a podcast manager to download and/or play podcasts
 from the internet. Music tracks can be organized in various ways using play
 lists and custom filters. The buildin tag editor allows for easy editing tags
 in files, including adding album art and lyrics.
 .
 Features:
  * Fast and light weight. Quick startup, no splash screen needed!
  * Supports Ogg Vorbis, Opus, FLAC, MP3 and MP4 (aac)
  * Support for cover art embedded in tag or as separate file on disk
  * Subscribe to Podcasts (rss) using the buildin podcast manager
  * Tag editing and powerful file renaming capability
  * Leading word filter to prevent sorting on common words like the, a or an
  * Configurable Filters / smart play lists
  * Configurable play lists
  * Import/Export music library and play lists to XSPF, PLS, Extended M3U,
	M3U and CSV
  * Clipboard & DND (drag-and-drop) to arrange playlists and dragging to and
	from desktop
  * Clean and fast database backend using SQLite 3
  * Written using FOX, one of the fastest GUI toolkits available
  * Last.fm and libre.fm audio scrobbler support
  * Replay Gain support (Ogg Vorbis, FLAC and mp3 with APE tags)
  * Translated in Czech, French, German, Hungarian, Portuguese, Russian and
	Spanish

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DPKG_EXPORT_BUILDFLAGS=1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/buildtools.mk
include /usr/share/dpkg/architecture.mk
CFLAGS+=$(CPPFLAGS)
CXXFLAGS+=$(CPPFLAGS)
CPPFLAGS+=$(shell $(PKG_CONFIG) --cflags ncurses)
LDLIBS+=$(shell $(PKG_CONFIG) --libs ncurses) -lutil

# ftbfs-fix for armel
ifeq ($(DEB_TARGET_ARCH), armel)
  LDFLAGS+=-Wl,--copy-dt-needed-entries
endif

# ftbfs-fix for armel
ifeq ($(DEB_TARGET_ARCH), armel)
  LDFLAGS+=-Wl,--copy-dt-needed-entries
endif

# ftbfs-fix for m68k
ifeq ($(DEB_TARGET_ARCH), m68k)
  LDFLAGS+=-Wl,--copy-dt-needed-entries
  LDLIBS+=-latomic
endif

# ftbfs-fix for powerpc
ifeq ($(DEB_TARGET_ARCH), powerpc)
  LDFLAGS+=-Wl,--copy-dt-needed-entries
  LDLIBS+=-latomic
endif

# ftbfs-fix for sh4
ifeq ($(DEB_TARGET_ARCH), sh4)
  LDFLAGS+=-Wl,--copy-dt-needed-entries
  LDLIBS+=-latomic
endif

CC_FOR_BUILD ?= cc

override_dh_auto_configure:
	dh_auto_configure $@ --buildsystem=cmake -- -DCMAKE_LIBRARY_ARCHITECTURE="$(DEB_TARGET_MULTIARCH)" -DCMAKE_POLICY_VERSION_MINIMUM=3.5

# uncommect for more insights.
#override_dh_auto_configure:
#	env
#	cmake --system-information
#	dh_auto_configure $@ --buildsystem=cmake -- -DCMAKE_LIBRARY_ARCHITECTURE="$(DEB_TARGET_MULTIARCH)" -DCMAKE_BUILD_TYPE=Debug -DCMAKE_VERBOSE_MAKEFILE=TRUE

%:
	dh $@ --buildsystem=cmake

=== debian/watch ===
Version: 5

Template: Github
Owner: gogglesmm
Project: gogglesmm
Update-Script: uupdate
